package com.chinaweal.aiccs.outside.util;

import lombok.Data;

import java.util.Map;

/**
 * 门户响应结果类
 */
@Data
public class DoorResult<T> {

    private boolean success; // 成功-true 失败-false
    private String message;
    private String code;
    private T result; //服务调用结果，调用成功必须包含

    public boolean isQuerySuccess() {
        return isSuccess() && "100000".equals(getCode());
    }
}
